Vulnonym.org

CVE-2008-2142 - Revulsive Dog

Description

Emacs 21 and XEmacs automatically load and execute .flc (fast lock) files that are associated with other files that are edited within Emacs which allows user-assisted attackers to execute arbitrary code.

Reference

http://thread.gmane.org/gmane.emacs.devel/96903 http://tracker.xemacs.org/XEmacs/its/issue378 https://bugs.gentoo.org/show_bug.cgi?id=221197 http://lists.gnu.org/archive/html/emacs-devel/2008-05/msg00645.html http://www.securityfocus.com/bid/29176 http://lists.opensuse.org/opensuse-security-announce/2008-06/msg00001.html http://secunia.com/advisories/30199 http://secunia.com/advisories/30216 http://secunia.com/advisories/30303 http://www.mandriva.com/security/advisories?name=MDVSA-2008:154 http://secunia.com/advisories/30581 https://www.redhat.com/archives/fedora-package-announce/2008-June/msg00736.html http://www.mandriva.com/security/advisories?name=MDVSA-2008:153 http://wiki.rpath.com/wiki/Advisories:rPSA-2008-0177 https://issues.rpath.com/browse/RPL-2529 https://www.redhat.com/archives/fedora-package-announce/2008-June/msg00782.html http://secunia.com/advisories/30827 http://security.gentoo.org/glsa/glsa-200902-06.xml http://www.securitytracker.com/id?1020019 http://secunia.com/advisories/34004 http://www.vupen.com/english/advisories/2008/1539/references http://www.vupen.com/english/advisories/2008/1540/references https://exchange.xforce.ibmcloud.com/vulnerabilities/42362 http://www.securityfocus.com/archive/1/492657/100/0/threaded